/**
 * guchengLoadStrategy.ts
 * 该文件定义了古城负载状态策略的具体实现。
 */

import { abstractDataStrategyLeft } from "./abstractDataStrategyLeft";
import paramChecker from "../../../../util/paramChecker";

/**
 * 古城负载策略类，继承自 abstractDataStrategyLeft。
 */
export class guchengLoadStrategy extends abstractDataStrategyLeft {
    /**
     * 执行古城负载策略，生成随机的负载状态。
     * @returns 随机的负载状态。
     */
    execute(params?: any): any {
        paramChecker.checkDateParam(params);
        return "正常";
    }
}
